Authorization: Bearer <token>. Get it with the sign-in call (POST /api/customer-users/partner-login).details out. If you send a details list, it replaces all the details of the contact. To change one detail, use the detail calls (POST /api/v2/contacts/{contactId}/details and PUT /api/v2/contacts/{contactId}/details/{detailId}).data[0] is the id of the updated contact.Authorization: Bearer ********************data[0] is the id of the contact.curl --location --request PUT 'https://api.veloconnect.me/api/v2/contacts/1042' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"firstName": "Anna",
"lastName": "Petrosyan",
"middleName": "Armeni",
"dateOfBirth": "1990-05-14T00:00:00Z",
"gender": "F",
"companyName": "Example LLC",
"jobTitle": "Head of marketing",
"notes": "Prefers messages in the morning",
"externalReference": "CRM-1042"
}'{
"data": [
1042
]
}